Bug 1111957 - 32bit firefox is not on the media
32bit firefox is not on the media
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Patterns
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dominique Leuenberger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-16 06:29 UTC by Jiri Slaby
Modified: 2018-11-15 12:56 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Slaby 2018-10-16 06:29:17 UTC
As I discussed with Andreas, 32bit firefox is built:
https://build.opensuse.org/package/binaries/openSUSE:Factory/MozillaFirefox/standard

But is not on the media:
https://download.opensuse.org/tumbleweed/repo/oss/i686/

This might have been fixed in the meantime, awaiting publishing, according to Andreas. But given I still don't see, I am opening this bug.
Comment 1 Dominique Leuenberger 2018-10-16 07:34:39 UTC
https://build.opensuse.org/package/rdiff/openSUSE:Factory/000product?linkrev=base&rev=591

Had the change staged locally after discussing with Adrian, but timing was not good to merge it at that time - and then I missed to check in the local diff.

This is now good and snapshot 1015 should contain FF i686
Comment 2 Dominique Leuenberger 2018-10-18 14:02:16 UTC
Experiment gone bad - now i686 FF would be on the FTP tree, but the x86_64 was lost (which is worse than i686 missing)

Need to revalidate the condition for the product builder
Comment 3 Adrian Schröter 2018-10-18 14:07:23 UTC
You need onlyarch="i686,x86_64" for multiarch products.

The onlyarch="i686" is only correct for the i586 DVD.

Or you go the approach to build a i686 media with i586 as fallback...
Comment 4 Dominique Leuenberger 2018-11-15 12:56:21 UTC
MozillaFirefox is now in the FTP tree, so this issue is resolved

S  | Name                               | Type       | Version    | Arch   | Repository             
---+------------------------------------+------------+------------+--------+------------------------
i+ | MozillaFirefox                     | package    | 62.0.3-1.2 | x86_64 | openSUSE-Tumbleweed-Oss
v  | MozillaFirefox                     | package    | 62.0.3-1.2 | i686   | openSUSE-Tumbleweed-Oss